#define ERT
#include "exp6.h"
#include "exp6_export.h"
#include "exp6_common.h"
Parameters exp6_P = {
  {
    550.0,
    555.0,
    602.0,
    653.0,
    522.0,
    515.0
  } ,
  0.25
};

BlockIO exp6_B;

class Fltr {
  
  real_T smpdata[6];
  real_T filterout;

  exp6_RT_OBJECT exp6_rtO;

 public:
  Fltr()
  { }

  void rqstCalcFltr1(void)
  {
    
    real_T rtb_Minimum;
    real_T rtb_Maximum;

    {
      real_T rtmin;

      rtmin = exp6_B.Zero_Order_Hold3[0];
      if (exp6_B.Zero_Order_Hold3[1] < rtmin) {
        rtmin = exp6_B.Zero_Order_Hold3[1];
      }
      if (exp6_B.Zero_Order_Hold3[2] < rtmin) {
        rtmin = exp6_B.Zero_Order_Hold3[2];
      }
      if (exp6_B.Zero_Order_Hold3[3] < rtmin) {
        rtmin = exp6_B.Zero_Order_Hold3[3];
      }
      if (exp6_B.Zero_Order_Hold3[4] < rtmin) {
        rtmin = exp6_B.Zero_Order_Hold3[4];
      }
      if (exp6_B.Zero_Order_Hold3[5] < rtmin) {
        rtmin = exp6_B.Zero_Order_Hold3[5];
      }
      rtb_Minimum = rtmin;
    }

    {
      real_T rtmax;

      rtmax = exp6_B.Zero_Order_Hold3[0];
      if (exp6_B.Zero_Order_Hold3[1] > rtmax) {
        rtmax = exp6_B.Zero_Order_Hold3[1];
      }
      if (exp6_B.Zero_Order_Hold3[2] > rtmax) {
        rtmax = exp6_B.Zero_Order_Hold3[2];
      }
      if (exp6_B.Zero_Order_Hold3[3] > rtmax) {
        rtmax = exp6_B.Zero_Order_Hold3[3];
      }
      if (exp6_B.Zero_Order_Hold3[4] > rtmax) {
        rtmax = exp6_B.Zero_Order_Hold3[4];
      }
      if (exp6_B.Zero_Order_Hold3[5] > rtmax) {
        rtmax = exp6_B.Zero_Order_Hold3[5];
      }
      rtb_Maximum = rtmax;
    }

    filterout = (exp6_B.Zero_Order_Hold3[0] + exp6_B.Zero_Order_Hold3[1] +
      exp6_B.Zero_Order_Hold3[2] + exp6_B.Zero_Order_Hold3[3] +
      exp6_B.Zero_Order_Hold3[5] + exp6_B.Zero_Order_Hold3[4] - (rtb_Minimum +
      rtb_Maximum)) * exp6_P.Gain_Gain;
  }

  void exp6_step(void)
  {
    {
      int_T i1;
      real_T *y0 = &smpdata[0];
      const real_T *p_Constant_Value = &exp6_P.Constant_Value[0];

      for (i1=0; i1 < 6; i1++) {
        y0[i1] = p_Constant_Value[i1];
      }
    }

    {
      int_T i1;
      real_T *u0 = &smpdata[0];
      real_T *y0 = &exp6_B.Zero_Order_Hold3[0];

      for (i1=0; i1 < 6; i1++) {
        y0[i1] = u0[i1];
      }
    }

    rqstCalcFltr1();

  }

  void exp6_initialize(boolean_T firstTime)
  {
    if (firstTime) {
    }
  }

  ~Fltr()
  {}
};

int main(void)
{
	Fltr test;
	test.exp6_initialize(1) ;
	test.exp6_step() ;
	return 0;
}